Open CASCADE Technology: Data Fields - Functions

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

### - h -

- HAB() : TopOpeBRepTool_BoxSort
- HABShape() : TopOpeBRepTool_BoxSort
- HalfSpace() : GeomPlate_BuildAveragePlane
- HalfSpaceSolid() : StepShape_BooleanOperand
- Has() : TDataStd_Current , TPrsStd_AISViewer
- Has3d() : BRepTopAdaptor_TopolTool , Adaptor3d_TopolTool
- HasAlternate() : IFSelect_SelectDeduct
- HasAncestor() : BRepFill_OffsetAncestors , BRepOffset_Analyse
- HasAncestorFaceOn1() : BRepAlgoAPI_Section , BRepAlgo_Section
- HasAncestorFaceOn2() : BRepAlgoAPI_Section , BRepAlgo_Section
- HasAPoint() : TopClass_Intersection3d , BRepClass3d_Intersector3d
- HasApplicationProtocol() : IGESData_GlobalSection
- HasApplicative() : AIS_InteractiveContext , AIS_LocalContext
- HasAPreviousVersion() : CDF_Store
- HasArcOnS1() : IntPatch_WLine
- HasArcOnS2() : IntPatch_WLine
- HasArea() : HLRBRep_EdgeBuilder
- HasArrayOfIntegers() : TDataStd_NamedData
- HasArrayOfReals() : TDataStd_NamedData
- HasArraysOfIntegers() : TDataStd_NamedData , PDataStd_NamedData
- HasArraysOfReals() : TDataStd_NamedData , PDataStd_NamedData
- HasArrowColor() : AIS_Trihedron
- HasAscendant() : BRepAlgo_AsDes
- HasAssociation() : TopOpeBRepDS_Association
- HasAttribute() : TDF_Label
- HasAxis() : StepGeom_Axis1Placement , StepGeom_Axis2Placement3d
- HasAxis1() : StepGeom_CartesianTransformationOperator
- HasAxis2() : StepGeom_CartesianTransformationOperator
- HasAxis3() : StepGeom_CartesianTransformationOperator3d
- HasBackPlane() : IGESDraw_View
- HasBackReferences() : TObj_Object
- HasBadEdges() : ShapeAnalysis_Shell
- HasBeenSeen() : IntPatch_HInterTool , Contap_HContTool
- HasBottom() : BRepPrim_OneAxis , VrmlData_Cone , VrmlData_Cylinder
- HasBottomPlane() : IGESDraw_View
- HasBoundColors() : Graphic3d_ArrayOfPrimitives
- HasBoundingCurve() : IGESGeom_Plane
- HasBoundingCurveHole() : IGESGeom_Plane
- HasBounds() : IntTools_Curve
- HasBox() : TopOpeBRepTool_HBoxTool
- HasBrep() : IGESSolid_SolidAssembly
- HasBRep() : BOPDS_ShapeInfo , BOPDS_Tools
- HasByte() : TDataStd_NamedData
- HasBytes() : TDataStd_NamedData , PDataStd_NamedData
- HasChecks() : XSControl_TransferReader
- HasChild() : TDF_Label
- hasChildNodes() : LDOM_Node
- HasCollisions() : Voxel_CollisionDetection
- HasColor() : AIS_AttributeFilter , AIS_InteractiveContext , AIS_InteractiveObject
- HasColorAttribute() : OpenGl_VertexBuffer
- HasColorName() : IGESGraph_Color
- HasColors() : MeshVS_NodalColorPrsBuilder
- HasColors1() : MeshVS_ElementalColorPrsBuilder
- HasColors2() : MeshVS_ElementalColorPrsBuilder
- HasCommonDescendant() : BRepAlgo_AsDes
- HasCommonGen() : IntAna_QuadQuadGeo
- HasCommonRange() : Intf_TangentZone
- HasCommonShapes() : BRepOffset_Tool
- HasConf() : MoniTool_Profile
- HasConnectedEdges() : ShapeAnalysis_Shell
- HasConnection() : AIS_ConnectedInteractive , AIS_MultipleConnectedInteractive
- HasConstraint() : GeomFill_CornerState
- HasContent() : Interface_ReportEntity
- HasContinuity() : BRep_Tool
- HasCountry() : StepBasic_Address
- HasCurrentApplication() : CDF_Session
- HasCurve() : Prs3d_ShapeTool
- HasCurve2d() : ShapeUpgrade_EdgeDivide
- HasCurve3d() : ShapeAnalysis_Edge , ShapeUpgrade_EdgeDivide
- HasCurveOnSurface() : BOPTools_AlgoTools2D
- HasDangleShapes() : QANewBRepNaming_Loader
- HasDatumAspect() : AIS_Drawer
- HasDayComponent() : StepBasic_WeekOfYearAndDayDate
- HasDegenerated() : BRepPrimAPI_MakeRevol
- HasDeleted() : BRepAlgoAPI_BooleanOperation , BOPAlgo_BuilderShape , QANewModTopOpe_Glue , QANewModTopOpe_Intersection , QANewModTopOpe_Limitation
- HasDepthClipping() : SelectMgr_ViewerSelector , StdSelect_ViewerSelector3d
- HasDescendant() : BRepAlgo_AsDes , ChFi2d_Builder , BRepFilletAPI_MakeFillet2d
- HasDescendants() : BRepLib_MakeShape
- HasDescr() : StepData_Protocol
- HasDescription() : StepBasic_Action , StepBasic_ActionMethod , StepBasic_CharacterizedObject , StepBasic_Document , StepBasic_DocumentProductAssociation , StepBasic_GeneralProperty , StepBasic_Group , StepBasic_GroupRelationship , StepBasic_IdentificationRole , StepBasic_ObjectRole , StepBasic_ProductCategory , StepBasic_ProductCategoryRelationship , StepBasic_ProductDefinitionRelationship , StepBasic_VersionedActionRequest , StepRepr_ConfigurationItem , StepRepr_ProductConcept , StepRepr_PropertyDefinition , StepRepr_ShapeAspectRelationship
- HasDesignatorTemplate() : IGESDraw_NetworkSubfigureDef , IGESDraw_NetworkSubfigure
- HasDetected() : AIS_InteractiveContext , AIS_LocalContext
- HasDetectedShape() : AIS_InteractiveContext , AIS_LocalContext
- HasDimensionAspect() : AIS_Drawer
- HasDisplayMode() : AIS_InteractiveObject
- HasDisplaySymbol() : IGESGeom_Point , IGESDraw_ConnectPoint
- HasDriver() : TFunction_DriverTable
- HasEdge() : BRepPrim_GWedge , BOPDS_Curve , BOPDS_PaveBlock
- HasElectronicMailAddress() : StepBasic_Address
- HasEntities() : IFSelect_SignatureList
- HasEntity() : Interface_Check
- HasEqualParameters() : TopOpeBRepBuild_PaveSet
- HasFace() : BRepPrim_GWedge
- HasFaceInfo() : BOPDS_DS
- HasFacsimileNumber() : StepBasic_Address
- HasFailed() : Interface_Check , IGESData_ParamReader
- HasFails() : Transfer_TransferIterator
- HasFather() : TDataStd_TreeNode
- HasFaulty() : BOPAlgo_ArgumentAnalyzer
- HasFd() : APIHeaderSection_MakeHeader
- HasField() : StepData_Described , StepData_Plex , StepData_Simple
- HasFileName() : IFSelect_ContextModif
- HasFirst() : TDataStd_TreeNode
- HasFirstName() : StepBasic_Person
- HasFirstPoint() : IntPatch_ALine , IntPatch_GLine , IntPatch_HInterTool , IntPatch_RLine , IntPatch_TheIWLineOfTheIWalking , IntPatch_TheSegmentOfTheSOnBounds , IntPatch_WLine , IntRes2d_Domain , IntRes2d_IntersectionSegment , HatchGen_Domain , TopOpeBRep_LineInter , Contap_HContTool , Contap_TheIWLineOfTheIWalking , Contap_TheSegmentOfTheSearch
- HasFirstRestriction() : GeomFill_LocationDraft , GeomFill_LocationGuide , GeomFill_LocationLaw
- HasFirstTgt() : ChFiDS_Spine
- HasFirstVertex() : Sweep_NumShapeTool
- HasFirstWitness() : IGESDimen_LinearDimension
- HasFirstWitnessLine() : IGESDimen_AngularDimension , IGESDimen_CurveDimension
- HasFlag() : BOPDS_ShapeInfo
- HasFn() : APIHeaderSection_MakeHeader
- HasFree() : Aspect_GenId
- HasFreeBoundaryAspect() : AIS_Drawer
- HasFreeEdges() : ShapeAnalysis_Shell
- HasFrontPlane() : IGESDraw_View
- HasFs() : APIHeaderSection_MakeHeader
- HasFunction() : TFunction_Scope , IGESGeom_OffsetCurve
- HasFunctionTemplate() : IGESDraw_ConnectPoint
- HasGenerated() : BRepAlgoAPI_BooleanOperation , BOPAlgo_BuilderShape , QANewModTopOpe_Glue , QANewModTopOpe_Intersection , QANewModTopOpe_Limitation
- HasGeometry() : TopOpeBRepDS_DataStructure , TopOpeBRepDS_DSS , TopOpeBRepDS_HDataStructure
- HasGraph() : Transfer_TransientProcess
- HasGreaterNode() : TDF_Label
- Hash() : Standard_GUID , LDOM_MemManager
- HashCode() : Standard_GUID , Standard_Storable , TColStd_MapIntegerHasher , TColStd_MapRealHasher , TColStd_MapTransientHasher , TCollection_AsciiString , TCollection_ExtendedString , NCollection_AccAllocator::Hasher , NCollection_CellFilter< Inspector >::Cell , NCollection_DefaultHasher< TheKeyType > , TopLoc_Location , TopLoc_MapLocationHasher , TopoDS_Shape , TopTools_OrientedShapeMapHasher , TopTools_ShapeMapHasher , MAT2d_MapBiIntHasher , IntTools_CurveRangeSampleMapHasher , IntTools_SurfaceRangeSampleMapHasher , BOPDS_PassKey , BOPDS_PassKeyMapHasher , BOPDS_PaveMapHasher , BOPTools_Set , BOPTools_SetMapHasher , BRepMesh_OrientedEdge , BRepMesh_Triangle , BRepMesh_Vertex , MeshVS_ColorHasher , MeshVS_SymmetricPairHasher , MeshVS_TwoColorsHasher , MeshVS_TwoNodesHasher , NIS_Drawer , PTColStd_MapPersistentHasher , CDM_DocumentHasher , TDF_LabelMapHasher , TNaming_NamedShapeHasher , Interface_MapAsciiStringHasher , Transfer_FindHasher , MoniTool_ElemHasher , MoniTool_MTHasher , STEPConstruct_PointHasher , StepToTopoDS_CartesianPointHasher , StepToTopoDS_PointPairHasher , XCAFPrs_Style
- HasHeaderEntity() : StepData_StepModel
- HashedAllocate() : LDOM_MemManager
- HasHilightMode() : AIS_InteractiveObject , StdSelect_BRepOwner
- HasId() : StepBasic_Organization
- HasIdentifierTemplate() : IGESDraw_ConnectPoint
- HasImage() : BRepAlgo_Image
- HasIndexNew() : BOPDS_Interf
- HasInit() : TopOpeBRepTool_REGUW
- HasInit2d() : TopOpeBRepTool_CLASSI
- HasInitLocation() : Select3D_SensitiveTriangulation
- HasInput() : IFSelect_SelectDeduct
- HasInteger() : TDataStd_NamedData
- HasIntegers() : TDataStd_NamedData , PDataStd_NamedData
- HasInteractiveContext() : AIS_InteractiveObject
- HasInterf() : BOPDS_DS
- HasInterferences() : TopOpeBRepDS_TKI
- HasInterfShapeSubShapes() : BOPDS_DS
- HasInterfSubShapes() : BOPDS_DS
- HasInternalEdge() : IntTools_Tools
- HasInternalLocation() : StepBasic_Address
- HasInterpret() : MoniTool_TypedValue
- HasIntersection() : TColStd_PackedMapOfInteger , BRepClass3d_SolidPassiveClassifier
- HasItem() : Dico_DictionaryOfInteger , Dico_DictionaryOfTransient , ShapeProcess_DictionaryOfOperator , STEPCAFControl_DictionaryOfExternFile
- HasLabel() : TNaming_Tool
- HasLabelDisplay() : IGESData_IGESEntity
- HasLast() : TDataStd_TreeNode
- HasLastChangeDate() : IGESData_GlobalSection
- HasLastName() : StepBasic_Person
- HasLastPoint() : IntPatch_ALine , IntPatch_GLine , IntPatch_HInterTool , IntPatch_RLine , IntPatch_TheIWLineOfTheIWalking , IntPatch_TheSegmentOfTheSOnBounds , IntPatch_WLine , IntRes2d_Domain , IntRes2d_IntersectionSegment , TopOpeBRep_LineInter , Contap_HContTool , Contap_TheIWLineOfTheIWalking , Contap_TheSegmentOfTheSearch
- HasLastRestriction() : GeomFill_LocationDraft , GeomFill_LocationGuide , GeomFill_LocationLaw
- HasLastTgt() : ChFiDS_Spine
- HasLastVertex() : Sweep_NumShapeTool
- HasLayer() : OpenGl_LayerList
- HasLeader2() : IGESDimen_RadiusDimension
- HasLeftPlane() : IGESDraw_View
- HasLevelNumber() : IGESData_LevelListEntity
- HasLineAspect() : AIS_Drawer
- HasLineOnS1() : GeomInt_IntSS
- HasLineOnS2() : GeomInt_IntSS
- HasLink() : AIS_Drawer
- HasLocalAttributes() : AIS_Drawer
- HasLocation() : SelectBasics_EntityOwner , Select3D_SensitiveEntity , SelectMgr_EntityOwner , AIS_InteractiveContext
- HasLower() : IFSelect_SelectAnyList , IFSelect_SelectRange
- HasLowerNode() : TDF_Label
- HasMarker() : AIS_Point
- HasMaterial() : AIS_InteractiveObject , VrmlConverter_LineAspect , VrmlConverter_PointAspect , VrmlConverter_ShadingAspect
- HasMaxCoord() : IGESData_GlobalSection
- HasMiddleNames() : StepBasic_Person
- HasMinuteComponent() : StepBasic_LocalTime
- HasMinuteOffset() : StepBasic_CoordinatedUniversalTimeOffset
- HasMipmaps() : OpenGl_Texture
- HasModel() : IFSelect_WorkSession
- HasModified() : BRepAlgoAPI_BooleanOperation , BOPAlgo_BuilderShape , QANewModTopOpe_Glue , QANewModTopOpe_Limitation
- HasMsg() : Message_MsgFile
- HasName() : IFSelect_WorkSession , StepData_SelectMember , StepData_SelectNamed , StepBasic_MeasureValueMember , StepBasic_SizeMember , StepGeom_TrimmingMember , StepVisual_MarkerMember , StepElement_CurveElementFreedomMember , StepElement_CurveElementPurposeMember , StepElement_ElementAspectMember , StepElement_MeasureOrUnspecifiedValueMember , StepElement_SurfaceElementPurposeMember , StepElement_VolumeElementPurposeMember , StepFEA_DegreeOfFreedomMember , StepFEA_SymmetricTensor23dMember , StepFEA_SymmetricTensor43dMember , IGESData_IGESEntity
- HasNeighbour() : MAT_Arc
- HasNewContent() : Interface_ReportEntity
- HasNewNumber() : IGESSelect_ChangeLevelList
- HasNewSurface() : TopOpeBRepDS_DataStructure
- HasNext() : TDataStd_TreeNode
- HasNextCurve() : IntAna_IntQuadQuad
- HasNextDetected() : AIS_InteractiveContext , AIS_LocalContext
- HasNormal() : Poly_CoherentNode
- HasNormalAttribute() : OpenGl_VertexBuffer
- HasNormals() : Poly_Triangulation , GeomFill_Boundary , GeomFill_BoundWithSurf , VrmlConverter_ShadingAspect
- HasNote() : IGESDimen_GeneralSymbol
- HasOldNumber() : IGESSelect_ChangeLevelList , IGESSelect_ChangeLevelNumber
- HasOneParent() : IGESData_IGESEntity
- HasOpenCommand() : TDocStd_Document , TDocStd_MultiTransactionManager , TObj_Model
- HasOpenedContext() : AIS_InteractiveContext
- HasOtherRelocation() : MDF_RRelocationTable , MDF_SRelocationTable
- HasOuterContour() : IGESGeom_TrimmedSurface
- HasOuterLoop() : IGESSolid_Face
- HasOwnColor() : AIS_ColoredDrawer , TPrsStd_AISPresentation
- HasOwner() : AIS_InteractiveObject
- HasOwnerSubfigure() : IGESDraw_ConnectPoint
- HasOwnMaterial() : TPrsStd_AISPresentation
- HasOwnMode() : TPrsStd_AISPresentation
- HasOwnPresentations() : PrsMgr_PresentableObject
- HasOwnSelectionMode() : TPrsStd_AISPresentation
- HasOwnSize() : AIS_Plane , AIS_Trihedron
- HasOwnTransparency() : TPrsStd_AISPresentation
- HasOwnWidth() : AIS_ColoredDrawer , TPrsStd_AISPresentation
- HasParameters() : Poly_Polygon3D , Poly_PolygonOnTriangulation , PPoly_Polygon3D , PPoly_PolygonOnTriangulation
- HasParent() : IGESData_ToolLocation
- HasParentByAssociativity() : IGESData_ToolLocation
- HasPaveBlocks() : BOPDS_DS
- HasPCurve() : ShapeAnalysis_Edge
- HasPicked() : Draw_Display
- HasPint() : TopOpeBRep_Point2d
- HasPlaneAspect() : AIS_Drawer
- HasPnt2dOnSurf() : GeomPlate_PointConstraint
- HasPointAspect() : AIS_Drawer
- HasPointEntity() : IGESDraw_NetworkSubfigureDef
- HasPolygon() : IntPatch_RLine
- HasPolygonOffsets() : AIS_InteractiveContext , AIS_InteractiveObject
- HasPostalBox() : StepBasic_Address
- HasPostalCode() : StepBasic_Address
- HasPrefix() : StepBasic_SiUnit
- HasPrefixTitles() : StepBasic_Person
- HasPresentation() : PrsMgr_PresentationManager , AIS_InteractiveObject , DDataStd_DrawPresentation
- HasPrevious() : TDataStd_TreeNode
- HasPreviousCurve() : IntAna_IntQuadQuad
- HasPurpose() : StepRepr_ConfigurationItem
- HasReadPermission() : CDF_FWOSDriver , CDF_MetaDataDriver
- HasReal() : TDataStd_NamedData
- HasReals() : TDataStd_NamedData , PDataStd_NamedData
- HasRefDirection() : StepGeom_Axis2Placement2d , StepGeom_Axis2Placement3d
- HasReference() : BOPDS_ShapeInfo , TObj_Object
- HasReferenceDesignator() : StepRepr_AssemblyComponentUsage
- HasReferenceEntity() : IGESGeom_Flash
- HasRegion() : StepBasic_Address
- HasRelocation() : TDF_RelocationTable , MDF_RRelocationTable , MDF_SRelocationTable
- HasRequestedFolder() : CDM_Document
- HasRequestedPreviousVersion() : CDM_Document
- HasRest() : TopOpeBRepTool_makeTransition
- HasResult() : AdvApprox_ApproxAFunction , Approx_Curve2d , Approx_Curve3d , Approx_CurveOnSurface , Approx_CurvilinearParameter , GeomConvert_ApproxCurve , GeomConvert_ApproxSurface , AdvApp2Var_ApproxAFunc2Var , AdvApp2Var_Iso , AdvApp2Var_Patch , Geom2dConvert_ApproxCurve , BRepFill_EdgeOnSurfLaw , ChFi3d_Builder , BRepFilletAPI_MakeFillet , Transfer_Binder , Transfer_ResultFromModel , Transfer_ResultFromTransient , Transfer_TransferIterator , XSControl_TransferReader
- HasRightPlane() : IGESDraw_View
- HasRootName() : IFSelect_Dispatch , IFSelect_ShareOut
- HasSameBounds() : BOPDS_PaveBlock
- HasSameDomain() : TopOpeBRepDS_HDataStructure , TopOpeBRepBuild_Pave , QANewModTopOpe_Tools
- HasSameGeometry() : TopOpeBRepDS_Interference
- HasSameProjector() : AIS_LocalContext
- HasSameSupport() : TopOpeBRepDS_Interference
- HasScale() : StepGeom_CartesianTransformationOperator
- HasScaleFactor() : IGESBasic_SingularSubfigure
- HasSecondComponent() : StepBasic_LocalTime
- HasSecondCurve() : IGESDimen_CurveDimension
- HasSecondInput() : IFSelect_SelectControl
- HasSecondLeader() : IGESDimen_DiameterDimension
- HasSecondPoint() : HatchGen_Domain
- HasSecondWitness() : IGESDimen_LinearDimension
- HasSecondWitnessLine() : IGESDimen_AngularDimension , IGESDimen_CurveDimension
- HasSection() : BRepFill_TrimShellCorner
- HasSegment() : TopOpeBRep_EdgesIntersector
- HasSelectable() : SelectMgr_EntityOwner
- HasSelectedShape() : AIS_InteractiveContext
- HasSelection() : SelectMgr_SelectableObject , IFSelect_GeneralModifier
- HasSelectionMode() : AIS_InteractiveObject
- HasSelectionPriority() : AIS_InteractiveObject
- HasSemanticChecks() : Interface_InterfaceModel
- HasShadingAspect() : AIS_Drawer
- HasShape() : BRepSweep_NumLinearRegularSweep , BRepSweep_Rotation , BRepSweep_Translation , BRepSweep_Trsf , TopOpeBRepDS_DataStructure , TopOpeBRepDS_DSS , TopOpeBRepDS_HDataStructure , AIS_LocalContext , StdSelect_BRepOwner
- HasShapeResult() : IGESToBRep_CurveAndSurface , BRepToIGES_BREntity
- HasShapeSD() : BOPDS_DS
- HasShareErrors() : Interface_Graph
- HasShortLabel() : IGESData_IGESEntity
- HasShrunkData() : BOPDS_PaveBlock
- HasSide() : VrmlData_Cone , VrmlData_Cylinder
- HasSides() : BRepPrim_OneAxis
- HasSingularities() : ShapeAnalysis_Surface
- HasSolution() : GccAna_Pnt2dBisec
- hasSolution() : FilletPoint
- HasStandardName() : IGESGraph_NominalSize
- HasStarting() : Transfer_IteratorOfProcessForFinder , Transfer_IteratorOfProcessForTransient
- HasStereoBuffers() : OpenGl_Context
- HasStored() : SelectMgr_ViewerSelector
- HasStreet() : StepBasic_Address
- HasStreetNumber() : StepBasic_Address
- HasString() : TDataStd_NamedData
- HasStrings() : TDataStd_NamedData , PDataStd_NamedData
- HasStructure() : IGESData_IGESEntity
- HasSubComponents() : CDF_Store
- HasSubScriptNumber() : IGESData_IGESEntity , IGESData_UndefinedEntity
- HasSubShape() : BOPDS_ShapeInfo
- HasSuffixTitles() : StepBasic_Person
- HasSurface() : Prs3d_ShapeTool
- HasSymbolAttach() : IGESGeom_Plane
- HasSymmetryAxis() : GProp_PrincipalProps
- HasSymmetryPoint() : GProp_PrincipalProps
- HasTableName() : IGESDefs_AttributeDef
- HasTangent() : BRepBlend_Extremity
- HasTelephoneNumber() : StepBasic_Address
- HasTelexNumber() : StepBasic_Address
- HasTemplate() : Interface_InterfaceModel
- HasTextAspect() : AIS_Drawer
- HasTextColor() : AIS_Trihedron
- HasTextDisplay() : IGESDefs_AttributeDef
- HasTexts() : MeshVS_TextPrsBuilder
- HasTextures() : OpenGl_RaytraceGeometry
- HasToken() : Units_Measurement
- HasTop() : BRepPrim_OneAxis , VrmlData_Cylinder
- HasTopPlane() : IGESDraw_View
- HasTown() : StepBasic_Address
- HasTransf() : IGESData_IGESEntity , IGESData_ToolLocation
- HasTransformation() : PrsMgr_PresentableObject
- HasTransientRelocation() : TDF_RelocationTable
- HasTransientResult() : Transfer_TransferIterator
- HasTypeBinding() : Storage_Schema
- HasUIsoAspect() : AIS_Drawer
- HasUMaxSingularity() : IntCurveSurface_ThePolyhedronOfHInter , IntPatch_Polyhedron , HLRBRep_ThePolyhedronOfInterCSurf
- HasUMinSingularity() : IntCurveSurface_ThePolyhedronOfHInter , IntPatch_Polyhedron , HLRBRep_ThePolyhedronOfInterCSurf
- HasUncertainty() : STEPConstruct_UnitContext
- HasUnFreeBoundaryAspect() : AIS_Drawer
- HasUniqueResult() : Transfer_TransferIterator , IFSelect_SelectCombine , IFSelect_SelectDiff , IFSelect_SelectRootComps , IFSelect_SelectRoots , STEPSelections_SelectInstances , IGESSelect_SelectSingleViewFrom , IFSelect_Selection , IGESSelect_SelectDrawingFrom
- HasUnknownType() : Storage_Schema
- HasUpper() : IFSelect_SelectAnyList , IFSelect_SelectRange
- HasUsers() : AIS_InteractiveObject
- HasUVNodes() : Poly_Triangulation , PPoly_Triangulation
- HasValue() : TObj_TIntSparseArray , NCollection_SparseArrayBase
- HasValues() : IGESDefs_AttributeDef
- HasVector() : ChFiDS_CommonPoint
- HasVectors() : MeshVS_VectorPrsBuilder
- HasVersion() : CDM_MetaData , CDF_MetaDataDriver
- HasVersionCapability() : CDF_MetaDataDriver
- HasVertex() : BRepPrim_GWedge
- HasVertexColors() : Graphic3d_ArrayOfPrimitives
- HasVertexNormals() : Graphic3d_ArrayOfPrimitives
- HasVertexTexels() : Graphic3d_ArrayOfPrimitives
- HasView() : Draw_Viewer
- HasVInternal() : TopOpeBRep_LineInter
- HasVIsoAspect() : AIS_Drawer
- HasVMaxSingularity() : IntCurveSurface_ThePolyhedronOfHInter , HLRBRep_ThePolyhedronOfInterCSurf , IntPatch_Polyhedron
- HasVMinSingularity() : IntCurveSurface_ThePolyhedronOfHInter , IntPatch_Polyhedron , HLRBRep_ThePolyhedronOfInterCSurf
- HasVPonR() : TopOpeBRep_LineInter
- HasWarnings() : Interface_Check , Transfer_TransferIterator
- HasWidth() : AIS_InteractiveObject , AIS_AttributeFilter
- HasWire() : BRepPrim_GWedge
- HasWireAspect() : AIS_Drawer
- Hatch() : OpenGl_AspectFace
- Hatch_Hatcher() : Hatch_Hatcher
- Hatch_Line() : Hatch_Line
- Hatch_Parameter() : Hatch_Parameter
- Hatch_SequenceNodeOfSequenceOfLine() : Hatch_SequenceNodeOfSequenceOfLine
- Hatch_SequenceNodeOfSequenceOfParameter() : Hatch_SequenceNodeOfSequenceOfParameter
- Hatch_SequenceOfLine() : Hatch_SequenceOfLine
- Hatch_SequenceOfParameter() : Hatch_SequenceOfParameter
- Hatcher() : IntTools_Context
- HatchGen_Domain() : HatchGen_Domain
- HatchGen_Domains() : HatchGen_Domains
- HatchGen_IntersectionPoint() : HatchGen_IntersectionPoint
- HatchGen_PointOnElement() : HatchGen_PointOnElement
- HatchGen_PointOnHatching() : HatchGen_PointOnHatching
- HatchGen_PointsOnElement() : HatchGen_PointsOnElement
- HatchGen_PointsOnHatching() : HatchGen_PointsOnHatching
- HatchGen_SequenceNodeOfDomains() : HatchGen_SequenceNodeOfDomains
- HatchGen_SequenceNodeOfPointsOnElement() : HatchGen_SequenceNodeOfPointsOnElement
- HatchGen_SequenceNodeOfPointsOnHatching() : HatchGen_SequenceNodeOfPointsOnHatching
- Hatching() : Geom2dHatch_Hatcher
- HatchingCurve() : Geom2dHatch_Hatcher
- HatchStyle() : Aspect_AspectFillArea
- HBoxTool() : TopOpeBRepTool_BoxSort
- HBuilder() : TestTopOpe_BOOP
- HCompound() : HLRBRep_HLRToShape , HLRBRep_PolyHLRToShape
- Hctxee2d() : TopOpeBRep_Point2d
- Hctxff2d() : TopOpeBRep_Point2d
- HDataStructure() : TopOpeBRep_FacesFiller
- HDS() : TopOpeBRepDS_Check
- HDSCommands() : TestTopOpe
- Header() : StepData_StepModel
- HeaderEntity() : StepData_StepModel
- HeaderProtocol() : StepData
- HeaderSection_FileDescription() : HeaderSection_FileDescription
- HeaderSection_FileName() : HeaderSection_FileName
- HeaderSection_FileSchema() : HeaderSection_FileSchema
- HeaderSection_HeaderRecognizer() : HeaderSection_HeaderRecognizer
- HeaderSection_Protocol() : HeaderSection_Protocol
- Headlight() : V3d_Light , Visual3d_Light
- HeapOfInteger() : Poly_MakeLoops::HeapOfInteger
- Height() : Image_PixMap , Prs3d_TextAspect , OpenGl_View , StepShape_RightCircularCone , StepShape_RightCircularCylinder , IGESDimen_FlagNote , IGESSolid_ConeFrustum , IGESSolid_Cylinder , Vrml_Cone , Vrml_Cube , Vrml_OrthographicCamera , Vrml_SFImage , VrmlData_Cone , VrmlData_Cylinder , Vrml_Cylinder , OpenGl_Window
- HeightMax() : BRepFeat_RibSlot
- HeightWin() : Draw_Window
- Help() : IFSelect_Activator , IFSelect_Act , IFSelect_SessionPilot , StepSelect_Activator , IGESSelect_Activator
- HermiteCoefficients() : PLib
- HermiteInterpolate() : PLib
- Hessian() : FEmTool_ElementaryCriterion , FEmTool_LinearFlexion , FEmTool_LinearTension , AppDef_LinearCriteria , AppDef_SmoothCriterion , FEmTool_LinearJerk
- Hessian1() : FairCurve_Energy
- HGraph() : Transfer_TransientProcess , IFSelect_WorkSession
- Hidden() : HLRAlgo_BiPoint , HLRAlgo_EdgeIterator , StdPrs_HLRToolShape , HLRAlgo_BiPoint
- HiddenColor() : HLRTest_ShapeData
- HiddenIsoColor() : HLRTest_ShapeData
- HiddenLineAspect() : Prs3d_Drawer , AIS_InteractiveContext , VrmlConverter_Drawer , AIS_Drawer
- HiddenOutLineColor() : HLRTest_ShapeData
- Hide() : HLRBRep_InternalAlgo , HLRBRep_Hider , HLRBRep_InternalAlgo , HLRBRep_PolyAlgo , HLRBRep_PolyHLRToShape , Draw_Window , HLRAlgo_EdgeStatus , HLRTest_DrawablePolyEdgeTool , HLRAlgo_PolyAlgo
- HideAll() : HLRBRep_InternalAlgo , HLRAlgo_EdgeStatus , HLRBRep_InternalAlgo
- HideByPolyData() : HLRAlgo_PolyData
- HideCount() : HLRBRep_EdgeData
- HideGridEcho() : V3d_Viewer
- HideView() : Draw_Viewer
- Hiding() : HLRBRep_FaceData , HLRAlgo_PolyData , HLRAlgo_PolyShellData , HLRBRep_FaceData
- HidingPolyData() : HLRAlgo_PolyShellData
- HidingStartLevel() : HLRBRep_Data
- HidingTheFace() : HLRBRep_Data
- HidMode() : DBRep
- HierarchyStatus() : IGESData_IGESEntity
- HierarchyStatusIgnored() : IGESData_DirChecker
- HierarchyStatusRequired() : IGESData_DirChecker
- HighestDuplicationCount() : IFSelect_PacketList
- HighestIndex() : AIS_InteractiveContext
- HighestLevel() : IGESSelect_CounterOfLevelNumber
- HighestNbTimes() : IFGraph_Cumulate
- HighLevelTreeDepth() : OpenGl_RaytraceGeometry
- Highlight() : Graphic3d_StructureManager , PrsMgr_PresentationManager , Visual3d_ViewManager , Prs3d_Presentation , Graphic3d_Structure , Voxel_Prs
- HighlightColor() : Graphic3d_Structure
- HighlightedStructures() : Graphic3d_StructureManager
- HighlightOnView() : Draw_Viewer
- HighLightStatus() : IGESGraph_HighLight
- HighlightWithBndBox() : Graphic3d_CStructure , OpenGl_Structure
- HighlightWithColor() : OpenGl_Structure , Graphic3d_CStructure
- Hilight() : AIS_InteractiveContext , MeshVS_MeshEntityOwner , SelectMgr_EntityOwner , AIS_LocalContext , StdSelect_BRepOwner , MeshVS_MeshEntityOwner , SelectMgr_EntityOwner , AIS_DimensionOwner , StdSelect_BRepOwner
- HilightColor() : AIS_InteractiveContext , AIS_LocalStatus , AIS_GlobalStatus
- HilightCurrents() : AIS_InteractiveContext
- HilightMode() : AIS_LocalStatus , AIS_InteractiveObject , StdSelect_BRepOwner
- HilightNextDetected() : AIS_InteractiveContext , AIS_LocalContext
- HilightOwnerWithColor() : SelectMgr_SelectableObject , MeshVS_Mesh
- HilightPicked() : AIS_LocalContext
- HilightPreviousDetected() : AIS_InteractiveContext , AIS_LocalContext
- HilightSelected() : SelectMgr_SelectableObject , AIS_InteractiveContext , MeshVS_Mesh
- HilightWithColor() : MeshVS_MeshEntityOwner , SelectMgr_EntityOwner , AIS_DimensionOwner , StdSelect_BRepOwner , MeshVS_MeshOwner , AIS_InteractiveContext
- Hit() : Aspect_Grid
- HLRAlgo_Array1OfPHDat() : HLRAlgo_Array1OfPHDat
- HLRAlgo_Array1OfPINod() : HLRAlgo_Array1OfPINod
- HLRAlgo_Array1OfPISeg() : HLRAlgo_Array1OfPISeg
- HLRAlgo_Array1OfTData() : HLRAlgo_Array1OfTData
- HLRAlgo_BiPoint() : HLRAlgo_BiPoint
- HLRAlgo_Coincidence() : HLRAlgo_Coincidence
- HLRAlgo_EdgeIterator() : HLRAlgo_EdgeIterator
- HLRAlgo_EdgesBlock() : HLRAlgo_EdgesBlock
- HLRAlgo_EdgeStatus() : HLRAlgo_EdgeStatus
- HLRAlgo_HArray1OfPHDat() : HLRAlgo_HArray1OfPHDat
- HLRAlgo_HArray1OfPINod() : HLRAlgo_HArray1OfPINod
- HLRAlgo_HArray1OfPISeg() : HLRAlgo_HArray1OfPISeg
- HLRAlgo_HArray1OfTData() : HLRAlgo_HArray1OfTData
- HLRAlgo_Interference() : HLRAlgo_Interference
- HLRAlgo_InterferenceList() : HLRAlgo_InterferenceList
- HLRAlgo_Intersection() : HLRAlgo_Intersection
- HLRAlgo_ListIteratorOfInterferenceList() : HLRAlgo_ListIteratorOfInterferenceList
- HLRAlgo_ListIteratorOfListOfBPoint() : HLRAlgo_ListIteratorOfListOfBPoint
- HLRAlgo_ListNodeOfInterferenceList() : HLRAlgo_ListNodeOfInterferenceList
- HLRAlgo_ListNodeOfListOfBPoint() : HLRAlgo_ListNodeOfListOfBPoint
- HLRAlgo_ListOfBPoint() : HLRAlgo_ListOfBPoint
- HLRAlgo_PolyAlgo() : HLRAlgo_PolyAlgo
- HLRAlgo_PolyData() : HLRAlgo_PolyData
- HLRAlgo_PolyHidingData() : HLRAlgo_PolyHidingData
- HLRAlgo_PolyInternalData() : HLRAlgo_PolyInternalData
- HLRAlgo_PolyInternalNode() : HLRAlgo_PolyInternalNode
- HLRAlgo_PolyInternalSegment() : HLRAlgo_PolyInternalSegment
- HLRAlgo_PolyShellData() : HLRAlgo_PolyShellData
- HLRAlgo_Projector() : HLRAlgo_Projector
- HLRAlgo_TriangleData() : HLRAlgo_TriangleData
- HLRAlgo_WiresBlock() : HLRAlgo_WiresBlock
- HLRAngle() : AIS_InteractiveContext , AIS_Drawer , DBRep , Prs3d_Drawer
- HLRAppli_ReflectLines() : HLRAppli_ReflectLines
- HLRBRep_Algo() : HLRBRep_Algo
- HLRBRep_AreaLimit() : HLRBRep_AreaLimit
- HLRBRep_Array1OfEData() : HLRBRep_Array1OfEData
- HLRBRep_Array1OfFData() : HLRBRep_Array1OfFData
- HLRBRep_BiPnt2D() : HLRBRep_BiPnt2D
- HLRBRep_BiPoint() : HLRBRep_BiPoint
- HLRBRep_CInter() : HLRBRep_CInter
- HLRBRep_CLProps() : HLRBRep_CLProps
- HLRBRep_Curve() : HLRBRep_Curve
- HLRBRep_Data() : HLRBRep_Data
- HLRBRep_EdgeBuilder() : HLRBRep_EdgeBuilder
- HLRBRep_EdgeData() : HLRBRep_EdgeData
- HLRBRep_EdgeInterferenceTool() : HLRBRep_EdgeInterferenceTool
- HLRBRep_ExactIntersectionPointOfTheIntPCurvePCurveOfCInter() : HLRBRep_ExactIntersectionPointOfTheIntPCurvePCurveOfCInter
- HLRBRep_FaceData() : HLRBRep_FaceData
- HLRBRep_FaceIterator() : HLRBRep_FaceIterator
- HLRBRep_Hider() : HLRBRep_Hider
- HLRBRep_HLRToShape() : HLRBRep_HLRToShape
- HLRBRep_IntConicCurveOfCInter() : HLRBRep_IntConicCurveOfCInter
- HLRBRep_InterCSurf() : HLRBRep_InterCSurf
- HLRBRep_InternalAlgo() : HLRBRep_InternalAlgo
- HLRBRep_Intersector() : HLRBRep_Intersector
- HLRBRep_ListIteratorOfListOfBPnt2D() : HLRBRep_ListIteratorOfListOfBPnt2D
- HLRBRep_ListIteratorOfListOfBPoint() : HLRBRep_ListIteratorOfListOfBPoint
- HLRBRep_ListNodeOfListOfBPnt2D() : HLRBRep_ListNodeOfListOfBPnt2D
- HLRBRep_ListNodeOfListOfBPoint() : HLRBRep_ListNodeOfListOfBPoint
- HLRBRep_ListOfBPnt2D() : HLRBRep_ListOfBPnt2D
- HLRBRep_ListOfBPoint() : HLRBRep_ListOfBPoint
- HLRBRep_MyImpParToolOfTheIntersectorOfTheIntConicCurveOfCInter() : HLRBRep_MyImpParToolOfTheIntersectorOfTheIntConicCurveOfCInter
- HLRBRep_PCLocFOfTheLocateExtPCOfTheProjPCurOfCInter() : HLRBRep_PCLocFOfTheLocateExtPCOfTheProjPCurOfCInter
- HLRBRep_PolyAlgo() : HLRBRep_PolyAlgo
- HLRBRep_PolyHLRToShape() : HLRBRep_PolyHLRToShape
- HLRBRep_SeqOfShapeBounds() : HLRBRep_SeqOfShapeBounds
- HLRBRep_SeqPCOfPCLocFOfTheLocateExtPCOfTheProjPCurOfCInter() : HLRBRep_SeqPCOfPCLocFOfTheLocateExtPCOfTheProjPCurOfCInter
- HLRBRep_SequenceNodeOfSeqOfShapeBounds() : HLRBRep_SequenceNodeOfSeqOfShapeBounds
- HLRBRep_SequenceNodeOfSeqPCOfPCLocFOfTheLocateExtPCOfTheProjPCurOfCInter() : HLRBRep_SequenceNodeOfSeqPCOfPCLocFOfTheLocateExtPCOfTheProjPCurOfCInter
- HLRBRep_ShapeBounds() : HLRBRep_ShapeBounds
- HLRBRep_SLProps() : HLRBRep_SLProps
- HLRBRep_Surface() : HLRBRep_Surface
- HLRBRep_TheCSFunctionOfInterCSurf() : HLRBRep_TheCSFunctionOfInterCSurf
- HLRBRep_TheDistBetweenPCurvesOfTheIntPCurvePCurveOfCInter() : HLRBRep_TheDistBetweenPCurvesOfTheIntPCurvePCurveOfCInter
- HLRBRep_TheExactInterCSurf() : HLRBRep_TheExactInterCSurf
- HLRBRep_TheIntConicCurveOfCInter() : HLRBRep_TheIntConicCurveOfCInter
- HLRBRep_TheInterferenceOfInterCSurf() : HLRBRep_TheInterferenceOfInterCSurf
- HLRBRep_TheIntersectorOfTheIntConicCurveOfCInter() : HLRBRep_TheIntersectorOfTheIntConicCurveOfCInter
- HLRBRep_TheIntPCurvePCurveOfCInter() : HLRBRep_TheIntPCurvePCurveOfCInter
- HLRBRep_TheLocateExtPCOfTheProjPCurOfCInter() : HLRBRep_TheLocateExtPCOfTheProjPCurOfCInter
- HLRBRep_ThePolygon2dOfTheIntPCurvePCurveOfCInter() : HLRBRep_ThePolygon2dOfTheIntPCurvePCurveOfCInter
- HLRBRep_ThePolygonOfInterCSurf() : HLRBRep_ThePolygonOfInterCSurf
- HLRBRep_ThePolyhedronOfInterCSurf() : HLRBRep_ThePolyhedronOfInterCSurf
- HLRBRep_TheQuadCurvExactInterCSurf() : HLRBRep_TheQuadCurvExactInterCSurf
- HLRBRep_TheQuadCurvFuncOfTheQuadCurvExactInterCSurf() : HLRBRep_TheQuadCurvFuncOfTheQuadCurvExactInterCSurf
- HLRBRep_VertexList() : HLRBRep_VertexList
- HLRDeviationCoefficient() : AIS_InteractiveContext , Prs3d_Drawer , AIS_Drawer
- HLRMode() : DBRep
- HLRTest_DrawableEdgeTool() : HLRTest_DrawableEdgeTool
- HLRTest_DrawablePolyEdgeTool() : HLRTest_DrawablePolyEdgeTool
- HLRTest_OutLiner() : HLRTest_OutLiner
- HLRTest_Projector() : HLRTest_Projector
- HLRTest_ShapeData() : HLRTest_ShapeData
- HLRTopoBRep_Data() : HLRTopoBRep_Data
- HLRTopoBRep_DataMapIteratorOfDataMapOfShapeFaceData() : HLRTopoBRep_DataMapIteratorOfDataMapOfShapeFaceData
- HLRTopoBRep_DataMapIteratorOfMapOfShapeListOfVData() : HLRTopoBRep_DataMapIteratorOfMapOfShapeListOfVData
- HLRTopoBRep_DataMapNodeOfDataMapOfShapeFaceData() : HLRTopoBRep_DataMapNodeOfDataMapOfShapeFaceData
- HLRTopoBRep_DataMapNodeOfMapOfShapeListOfVData() : HLRTopoBRep_DataMapNodeOfMapOfShapeListOfVData
- HLRTopoBRep_DataMapOfShapeFaceData() : HLRTopoBRep_DataMapOfShapeFaceData
- HLRTopoBRep_FaceData() : HLRTopoBRep_FaceData
- HLRTopoBRep_ListIteratorOfListOfVData() : HLRTopoBRep_ListIteratorOfListOfVData
- HLRTopoBRep_ListNodeOfListOfVData() : HLRTopoBRep_ListNodeOfListOfVData
- HLRTopoBRep_ListOfVData() : HLRTopoBRep_ListOfVData
- HLRTopoBRep_MapOfShapeListOfVData() : HLRTopoBRep_MapOfShapeListOfVData
- HLRTopoBRep_OutLiner() : HLRTopoBRep_OutLiner
- HLRTopoBRep_VData() : HLRTopoBRep_VData
- HLRValidation() : Graphic3d_Structure
- HLSPercentage() : IGESGraph_Color
- HlsRgb() : Quantity_Color
- HNodes() : HLRAlgo_PolyData
- Holes() : BRepFill_LocationLaw
- HomogeneousD0() : BSplSLib
- HomogeneousD1() : BSplSLib
- HomoWires() : ShapeAlgo_AlgoContainer
- HOperator() : GProp
- HorizontalJustification() : Prs3d_TextAspect
- HostName() : OSD_Host
- Hour() : Quantity_Date
- HourComponent() : StepBasic_LocalTime
- HourOffset() : StepBasic_CoordinatedUniversalTimeOffset
- HowManyPrimitives() : MeshVS_MeshPrsBuilder
- HParentWindow() : WNT_Window
- HPHDat() : HLRAlgo_PolyData
- HStringValue() : MoniTool_TypedValue
- HSurface() : TopOpeBRep_Hctxff2d
- HTData() : HLRAlgo_PolyData
- Hue() : Quantity_Color
- Hunt() : BSplCLib
- HVectorialPart() : gp_Trsf , gp_Trsf2d
- HView() : Cocoa_Window
- HWindow() : WNT_Window
- Hyperbola() : Geom2dGcc_CurveToolGeo , Adaptor2d_Line2d , IntCurveSurface_TheHCurveTool , Adaptor3d_OffsetCurve , IntPatch_HCurve2dTool , Adaptor3d_CurveOnSurface , GeomAdaptor_Curve , BRepAdaptor_CompCurve , IntPatch_GLine , HLRBRep_BCurveTool , IntAna_QuadQuadGeo , HLRBRep_CurveTool , BRepAdaptor_Curve , BiTgte_CurveOnVertex , ProjLib_ProjectOnPlane , Geom2dAdaptor_Curve , Contap_HCurve2dTool , ProjLib_ProjectedCurve , Extrema_Curve2dTool , Adaptor2d_HCurve2d , Adaptor2d_Curve2d , Adaptor3d_IsoCurve , ChFiDS_ElSpine , ProjLib_Projector , GccInt_Bisec , HLRBRep_Curve , HLRBRep_LineTool , Adaptor3d_Curve , Geom2dInt_Geom2dCurveTool , Adaptor3d_HCurve , BRepBlend_HCurve2dTool , BiTgte_CurveOnEdge , Extrema_CurveTool , GccInt_BHyper , BRepBlend_HCurveTool
- HyperbolaD1() : ElCLib
- HyperbolaD2() : ElCLib
- HyperbolaD3() : ElCLib
- HyperbolaDN() : ElCLib
- HyperbolaParameter() : ElCLib
- HyperbolaValue() : ElCLib
- Hypr() : Geom_Hyperbola
- Hypr2d() : Geom2d_Hyperbola
- Hypr2dBox() : Intf_Tool
- HyprBox() : Intf_Tool